Subject: Re: [ILUG] text editor for absolute beginners
From: Padraig Brady <[email-masked]>
To: [email-masked]
Date: Tue, 10 Dec 2002 11:54:00 +0000

Ken Guest wrote:
>Looking to install a text editor that'll be used by absolute beginners. 
>I don't want to, nor have the time,
>to teach them how to use emacs or vim so I'm really looking for the 
>simplest editor that's out there
>it doesn't have to have any fancy functionality or anything like that.
>I'm leaning towards pico - is there anything simpler?

For a user transitioning from windows I would suggest
(in decreasing order of preference):

http://www.nedit.org/
http://www.micampe.it/software/moleskine/
http://gedit.sourceforge.net/

If people are stuck with vim then:
http://www.iol.ie/~padraiga/vim.tips

From: Gavin McCullagh <[email-masked]>
To: [email-masked]
Subject: Re: [ILUG] text editor for absolute beginners
Date: Tue, 10 Dec 2002 11:22:03 +0000

On Tue, 10 Dec 2002, Ken Guest wrote:

> it doesn't have to have any fancy functionality or anything like that.        
> I'm leaning towards pico - is there anything simpler?

Well, nano before pico.  It's more functional (including syntax
highlights)     
and it's gnu licensed.

http://www.nano-editor.org/

http://www.nano-editor.org/colorsyntax.png

I take it this is over ssh, telnet or something otherwise the likes of          
nedit, kate etc. are like very functional versions of windows notepad.          

Gavin

Subject: Re: [ILUG] text editor for absolute beginners
From: Markus Linden <[email-masked]>
To: [email-masked]
Organization: Alphyra
X-Mailer: Ximian Evolution 1.2.0 
Date: 10 Dec 2002 11:21:57 +0000

On Tue, 2002-12-10 at 11:14, John P. Looney wrote:

> Is there an easy version of vi anywhere ? You know, something that
> tells people how to quit, etc.

mcedit does this, reminds me of edit for dos. cant me much simpler that
this.

From: Michael Armbrecht <[email-masked]>
To: [email-masked]
Subject: Re: [ILUG] text editor for absolute beginners
Date: Thu, 12 Dec 2002 22:43:16 +0000

I have discovered jEdit, a text editor written in Java, runs everywhere,
has all that is needed and there are lots of plugins as well. It is my
editor of choice where I can't run emacs.

Check http://www.jedit.org